{
   "format_version":1.12,
   "minecraft:recipe_shapeless":{
      "description":{
         "identifier":"vatonage:carrotform"
      },
      "tags":[
         "element_former"
      ],
      "ingredients":[
         {
            "item":"vatonage:grass_element"
         },
         {
            "item":"vatonage:water_element"
         }
      ],
      "result":{
         "item":"minecraft:carrot",
         "count":2
      }
   }
}